%define srcname xf86-input-evdev
%define _modulesdir %_libdir/X11/modules

Name: xorg-x11-drv-evdev
Version: 1.1.5
Release: alt1
Serial: 1
Summary: Generic Linux input driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-evdev
Requires: xorg-x11-server >= 1.0.99.901

BuildRequires: gcc-c++ libstdc++-devel pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

%description
evdev  is  an  Xorg  input  driver for Linux generic event devices.
It therefore supports all input devices that the kernel knows
about, including most mice and keyboards.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_modulesdir/input/*.so
%_man4dir/*

%changelog
* Sat Dec 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.5-alt1
- 1.1.5

* Thu Nov 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.4-alt1
- 1.1.4

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.3-alt1
- 1.1.3

* Tue May 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt3
- CVS snapshot 2006-05-15

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt2
- requires xorg-x11-server >= 1.0.99.901

* Mon May 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt1
- 1.1.2

* Fri Apr 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Sun Mar 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0.5-alt2
- CVS snapshot 20060227

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.2-alt0.1
- initial release

